Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Interface ShoppingCartLine

All Known Implementing Classes:
  ShoppingCartLineImpl

public interface ShoppingCartLine
extends Belonging

This class combines a ProductItem, a Quantity and a Money object. The total price for the line is calculated using the getTotal() method, specifying the required total type.

See Also:
  `ShoppingCartLineHome`, `ShoppingCart`

Method Summary
`Money` | `getBaseSavings()` Get the savings from the MSRP to the base unit price, exluding non-catalog discounts, i.e.
`Money` | `getBaseTotal()` Get the total excluing non-catalog discounts, i.e.
`Money` | `getDiscountedPrice()` get the Discounted Price for the line
`java.util.ArrayList` | `getDiscountPresentations()` get the Discount Description Array list of the discounts that apply to a particular shopping cart line
`Money` | `getLineTotal(int totalType)` Gets the line total for the given total type.
`ProductItem` | `getProductItem()` Get the value of productItem
`double` | `getQuantity()` Get the quantity of the item
`Money` | `getSavings()` Get the savings on this line (savings is the quantity times (msrp - unit price))
`Money` | `getShipping()` Get the value of shipping
`Money` | `getTax()` Get the value of tax
`Money` | `getUnitPrice()` Get the value of unitPrice
`void` | `setDiscountedPrice(Money discountedPrice)` Set the discount price for this line
`void` | `setDiscountPresentations(java.util.ArrayList discountPresentations)` Set the value of discount descriptions of the discounts that apply to a particular shopping cart line
`void` | `setProductItem(ProductItem productItem)` Set the value of productItem
`void` | `setQuantity(double quantity)` Set the value of quantity
`void` | `setShipping(Money shipping)` Set the value of shipping
`void` | `setTax(Money tax)` Set the value of tax
`void` | `setUnitPrice(Money unitPrice)` Set the value of unitPrice

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUnitPrice

    public Money getUnitPrice()

  Get the value of unitPrice

  Returns:
    unitPrice.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Set the value of unitPrice

  Parameters:
    `unitPrice` - unitPrice to be set

### getTax

    public Money getTax()

  Get the value of tax

  Returns:
    tax.

### setTax

    public void setTax(Money tax)

  Set the value of tax

  Parameters:
    `tax` - tax to be set

### getShipping

    public Money getShipping()

  Get the value of shipping

  Returns:
    shipping.

### setShipping

    public void setShipping(Money shipping)

  Set the value of shipping

  Parameters:
    `shipping` - shipping to be set

### getQuantity

    public double getQuantity()

  Get the quantity of the item

  Returns:
    quantity.

### setQuantity

    public void setQuantity(double quantity)

  Set the value of quantity

  Parameters:
    `quantity` - quantity to be added

### getProductItem

    public ProductItem getProductItem()

  Get the value of productItem

  Returns:
    productItem.

### setProductItem

    public void setProductItem(ProductItem productItem)

  Set the value of productItem

  Parameters:
    `productItem` - productItem to be added

### getLineTotal

    public Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Gets the line total for the given total type. Valid values are one or more of :
  - LINE_UNIT_PRICE_TIMES_QUANTITY
  - LINE_SHIPPING
  - LINE_TAX
  These can be combined together using the OR operator '|' to get compound total types

  Parameters:
    `total` - type
  Throws:
    InvalidArgumentException -

### getSavings

    public Money getSavings()

  Get the savings on this line (savings is the quantity times (msrp - unit price))

  Returns:
    savings.

### getBaseSavings

    public Money getBaseSavings()

  Get the savings from the MSRP to the base unit price, exluding non-catalog discounts, i.e. quantity * (MSRP - Unit Price)

  Returns:
    base savings

### getBaseTotal

    public Money getBaseTotal()

  Get the total excluing non-catalog discounts, i.e. the quantity * unit price for this line

  Returns:
    baseTotal

### getDiscountedPrice

    public Money getDiscountedPrice()

  get the Discounted Price for the line

  Returns:
    the price as discounted

### setDiscountedPrice

    public void setDiscountedPrice(Money discountedPrice)

  Set the discount price for this line

  Parameters:
    `discountedPrice,` - the price as discounted

### getDiscountPresentations

    public java.util.ArrayList getDiscountPresentations()

  get the Discount Description Array list of the discounts that apply to a particular shopping cart line

  Returns:
    an ArrayList of DiscountDescription objects

### setDiscountPresentations

    public void setDiscountPresentations(java.util.ArrayList discountPresentations)

  Set the value of discount descriptions of the discounts that apply to a particular shopping cart line

  Parameters:
    `discountPresentations,` - an ArrayList of Presentation objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved